package com.usky.system.controller.web;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.HceArticle;
import com.usky.system.domain.HceCategory;
import com.usky.system.service.HceArticleService;
import com.usky.system.service.vo.HceArticleVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;
import retrofit2.http.POST;

/**
 * <p>
 * 帮助中心_内容管理 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-08-30
 */
@RestController
@RequestMapping("/hceArticle")
public class HceArticleController {

    @Autowired
    private HceArticleService hceArticleService;

    /**
     * 帮助中心-内容管理列表
     * @param hceArticleVO
     * @return
     */
    @PostMapping("page")
    ApiResult<CommonPage<HceArticle>> page(@RequestBody HceArticleVO hceArticleVO){
        return ApiResult.success(hceArticleService.page(hceArticleVO));
    }

    /**
     * 帮助中心-内容管理新增
     * @param hceArticle
     * @return
     */
    @PostMapping
    ApiResult<Void> add(@RequestBody HceArticle hceArticle){
        hceArticleService.add(hceArticle);
        return ApiResult.success();
    }

    /**
     * 帮助中心-内容管理更新
     * @param hceArticle
     * @return
     */
    @PutMapping
    ApiResult<Void> update(@RequestBody HceArticle hceArticle){
        hceArticleService.update(hceArticle);
        return ApiResult.success();
    }

    /**
     * 帮助中心-内容管理删除
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    ApiResult<Void> remove(@PathVariable("id") Integer id){
        hceArticleService.remove(id);
        return ApiResult.success();
    }

}

